{%- import "common/macros/generic.html" as mg -%}
<meta charset="UTF-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge, chrome=1">
<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no">
<title>{{ request.appserver_name|normalize|title }} {{ request.app_name|normalize|title }} | {{ request.mod|normalize|title }}</title>
{# SECTION: Polyfills & Prototypes JS #}
{% assets
    filters="rjsmin",
    output="compressed/polyfills_prototypes.js",
    "js/plugins/polyfill.promises.js",
    "js/plugins/prototypes.async_css.js",
    "js/plugins/prototypes.string.js",
    "js/plugins/prototypes.object.js"
%}
    {{ mg.js(ASSET_URL) }}
{% endassets %}
{# END #}

{# SECTION: IE Polyfills JS #}
{% assets
    filters="rjsmin",
    output="compressed/ie_polyfills.js",
    "js/plugins/polyfill.html5shiv.js",
    "js/plugins/polyfill.responsive.js"
%}
    <!--[if lt IE 9]>
    {{ mg.js(ASSET_URL) }}
    <![endif]-->
{% endassets %}
{# END #}

{# SECTION: Fonts CSS (Async) #}
{% assets
    filters="cssrewrite, cssmin",
    output="compressed/fonts.css",
    "css/fonts/montserrat.min.css",
    "css/fonts/fontawesome.min.css",
    "css/fonts/nucleo.min.css"
%}
    {{ mg.async_css(ASSET_URL) }}
{% endassets %}
{# END #}

{# SECTION: Default Plugins CSS (Async) #}
{% assets
    filters="cssrewrite, cssmin",
    output="compressed/default.css",
    "css/plugins/perfect-scrollbar.min.css",
    "css/plugins/ladda.min.css",
    "css/plugins/selectize.css"
%}
    {{ mg.async_css(ASSET_URL) }}
{% endassets %}
{# END #}

{# SECTION: Core JS #}
{% assets
    filters="rjsmin",
    output="compressed/core.js",
    "js/jquery.min.js",
    "js/bootstrap.min.js"
%}
    {{ mg.js(ASSET_URL) }}
    <script type="text/javascript" charset="utf-8">
        var csrf_key = {{ session['csrf_key']|default('')|tojson }}, csrf_token = {{ session['csrf_token']|default('')|tojson }};
    </script>
{% endassets %}
{# END #}

{# SECTION: Core CSS #}
{% assets
    filters="cssrewrite",
    output="compressed/core.css",
    "css/bootstrap.min.css",
    "css/nowui.min.css",
    "css/utils.css"
%}
    {{ mg.css(ASSET_URL) }}
{% endassets %}
{# END #}

{# SECTION: Icons #}

{# END #}
